import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

import java.util.Random;

public class CrabWorld extends World
{
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public CrabWorld() 
    {
        super(560, 560, 1);
        addObject(new Crabby(), 150,300);
        addObject(new Crabs(), 150, 400);
        addObject(new Hummhumm(), 500, 400);
        addObject(new Humma(), 200, 150);
        addObject(new Wrmli(), 20,300);
        addObject(new Igel1(), 250,540);
        addObject(new Igel2(), 360, 200);
        addObject(new Tree(), 100, 200);
        addObject(new Tree(), 130, 200);
        addObject(new Tree(), 160, 200);
        addObject(new Tree(), 190, 200);
        addObject(new Tree(), 400, 200);
        addObject(new Tree(), 400, 230);
        addObject(new Tree(), 400, 260);
        addObject(new Tree(), 400, 290);
        addObject(new Tree(), 250, 500);
        addObject(new Hole(), 430, 480);
        addObject(new Hole(), 150, 50);
        addObject(new Hole(), 90, 450);
        
        int i;
        
        for(i = 0 ; i < 8; i++){
            int x =    Greenfoot.getRandomNumber(560);
            int y =    Greenfoot.getRandomNumber(560);
            
            addObject(new Wrmli(), x, y);
        }
            
        
        addObject(new Wrmli(), 200,70);
        addObject(new Wrmli(), 500,500);
        addObject(new Wrmli(), 350,350);
    }
}